<?php
// Fonctions de contrôle

function controlerDate(string $valeur): bool {
    if (preg_match("/^(\d{1,2})[\/|\-|\.](\d{1,2})[\/|\-|\.](\d\d)(\d\d)?$/", $valeur, $regs)) {
        $jour = ($regs[1] < 10) ? "0" . $regs[1] : $regs[1];
        $mois = ($regs[2] < 10) ? "0" . $regs[2] : $regs[2];
        if ($regs[4]) {
            $an = $regs[3] . $regs[4];
        } else {
            return false;
        }
        return checkdate((int)$mois, (int)$jour, (int)$an);
    } else {
        return false;
    }
}

// Classe Personne à compléter ...
class Personne
{
    // A créer
}

?>
